CREATE TABLE IF NOT EXISTS user_2fa (
    "user" UUID PRIMARY KEY,
    method VARCHAR(255) NOT NULL,
    secret VARCHAR(255),
    backup_codes JSONB NOT NULL,
    is_enabled BOOLEAN NOT NULL DEFAULT false,
    created_at TIMESTAMPTZ NOT NULL,
    updated_at TIMESTAMPTZ NOT NULL
);
